## Apache Zeta Components Manual :: Docs For Class ezcDocumentRstTextRole

### Document::ezcDocumentRstTextRole

### Class ezcDocumentRstTextRole

Visitor for RST text roles

Source for this file: /Document/src/document/rst/role.php

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcDocumentRstLiteralTextRole | Visitor for RST literal text roles.
ezcDocumentRstSuperscriptTextRole | Visitor for RST superscript text roles.
ezcDocumentRstTitleReferenceTextRole | Visitor for RST title reference text roles.
ezcDocumentRstSubscriptTextRole | Visitor for RST subscript text roles.
ezcDocumentRstStrongTextRole | Visitor for RST strong text roles.
ezcDocumentRstEmphasisTextRole | Visitor for RST emphasis text roles.

### Member Variables

protected ezcDocumentRstDocumentNode | `$ast` Complete RST abstract syntax tree, if this is necessary to render the text role.
protected ezcDocumentRstTextRoleNode | `$node` Current text role RST AST node.
protected string | `$path` Current document base path, especially relevant for file inclusions.
protected ezcDocumentRstVisitor | `$visitor` The calling visitor.

### Method Summary

public void | `__construct( $ast , $path , $node )` Construct text role from AST and node
protected void | `appendText( $root )` Append text from interpreted text node to given DOMElement
public void | `setSourceVisitor( $visitor )` Set the calling vaisitor
public abstract void | `toDocbook( $document , $root )` Transform text role to docbook

### Methods

#### __construct

void __construct( $ast , string $path , $node )

Construct text role from AST and node

##### Parameters:

Name | Type | Description
--- | --- | ---
`$ast` | ezcDocumentRstDocumentNode |
`$path` | string |
`$node` | ezcDocumentRstMarkupInterpretedTextNode |

#### appendText

void appendText( $root )

Append text from interpreted text node to given DOMElement

##### Parameters:

Name | Type | Description
--- | --- | ---
`$root` | DOMElement |

#### setSourceVisitor

void setSourceVisitor( ezcDocumentRstVisitor $visitor )

Set the calling vaisitor

Pass the visitor which called the rendering function on the text role for optional reference.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$visitor` | ezcDocumentRstVisitor |

#### toDocbook

void toDocbook( $document , $root )

Transform text role to docbook

Create a docbook XML structure at the text roles position in the document.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$document` | DOMDocument |
`$root` | DOMElement |

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcDocumentRstLiteralTextRole::toDocbook()` | Transform text role to docbook.
`ezcDocumentRstSuperscriptTextRole::toDocbook()` | Transform text role to docbook.
`ezcDocumentRstTitleReferenceTextRole::toDocbook()` | Transform text role to docbook.
`ezcDocumentRstSubscriptTextRole::toDocbook()` | Transform text role to docbook.
`ezcDocumentRstStrongTextRole::toDocbook()` | Transform text role to docbook.
`ezcDocumentRstEmphasisTextRole::toDocbook()` | Transform text role to docbook.

Documentation generated by phpDocumentor 1.4.3